Bug 85835 - Quake 3 Arena movies don't work on XFree 4.3 / G400
Summary: Quake 3 Arena movies don't work on XFree 4.3 / G400
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: XFree86 (Show other bugs)
(Show other bugs)
Version: 1.0
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Mike A. Harris
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-03-08 20:52 UTC by Klaasjan Brand
Modified: 2007-04-18 16:51 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-08-18 12:02:27 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
xfree86 logfile (43.25 KB, text/plain)
2003-03-12 20:58 UTC, Klaasjan Brand
no flags Details
xf86config (3.60 KB, text/plain)
2003-03-12 21:00 UTC, Klaasjan Brand
no flags Details

Description Klaasjan Brand 2003-03-08 20:52:27 UTC
Description of problem:
Quake 3 Arena cinematics don't work anymore after upgrading from 8.0 to rawhide
with Mike Harris' XFree 4.3 rpms.

Version-Release number of selected component (if applicable):
XFree86-4.3.0-2.1

How reproducible:
Always.

Steps to Reproduce:
1. Start Quake3
    
Actual results:
Id logo movie stands still at frame 1. (every other movie shows this frame - or
a part of it)

Expected results:
What do you think? :)

Additional info:

System configuration: P3/1GHz, 512mb, Matrox G400 16mb using XFree DRI drivers.

Comment 1 Mike A. Harris 2003-03-08 22:19:09 UTC
Please attach your X server log and config file.  Also please provide
the output of "uname -a".

Comment 2 Mike A. Harris 2003-03-12 15:20:32 UTC
ping

Comment 3 Klaasjan Brand 2003-03-12 20:58:15 UTC
Created attachment 90575 [details]
xfree86 logfile

Comment 4 Klaasjan Brand 2003-03-12 21:00:34 UTC
Created attachment 90576 [details]
xf86config

slightly tweaked, but nothing that should impact quake3 video (which worked
fine with rh8.0)

Comment 5 Klaasjan Brand 2003-03-12 21:01:42 UTC
sorry, didn't get your first message...

uname -a:

Linux isengard 2.4.20-2.54 #1 Sat Feb 22 08:27:12 EST 2003 i686 i686 i386 GNU/Linux


Comment 6 Mike A. Harris 2003-04-08 06:53:16 UTC
I don't personally have Quake 3.  Is there another movie file or application
which is legally freely redistributable that you can reproduce this problem
with as well?

It might be a better idea to report this problem on XFree86's bugzilla system
so that a much larger array of developers are aware of the problem, perhaps
one of whom owns Quake 3 and can investigate the issue.

http://bugs.xfree86.org

If you report it there, please provide a URL here so that I can track
the issue in their bugzilla as well.

Thanks.

Comment 7 Mike A. Harris 2003-04-08 06:54:22 UTC
Also, I forgot to ask...  does this problem still occur in Red Hat Linux 9
official release?

Comment 8 Klaasjan Brand 2003-04-08 07:04:02 UTC
Yes :(

Comment 9 Mike A. Harris 2003-04-08 10:12:13 UTC
I'll track your upstream bug report:

https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=85835

I'll also add any info that becomes available to the upstream bug report
as well as here.

Thanks.


Comment 10 Marcin Garski 2004-08-13 23:58:56 UTC
This bug is now fixed in X11R6.7.0 (X.Org) and XFree86 4.4.0.
See http://bugs.xfree86.org/show_bug.cgi?id=118 for more details.
Quake 3 Arena cinematics works fine on Fedora Core 2, so this bug
should be closed.

Comment 11 Mike A. Harris 2004-08-18 12:02:27 UTC
Ok, thanks for the update Marcin.  Changing bug status to
"CURRENTRELEASE" of Fedora Core 2.



Note You need to log in before you can comment on or make changes to this bug.